Skip to main content
GET
Get all trades

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

status
enum<string>

The status of the trade to filter by.

Available options:
pending,
complete,
confirmed,
pending_settlement,
taker_funded,
maker_funded,
refunded,
breaching,
breached
asset
enum<string>[]

Filter trades by one or more asset currencies.

Minimum array length: 1

Currency code

Available options:
USDC,
EURC
id
string

Filter trades by a single trade ID or ID prefix.

Required string length: 1 - 36
ids
string<uuid>[]

Filter trades by one or more trade IDs.

Minimum array length: 1
pageSize
integer
default:50

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: 1 <= x <= 200
pageAfter
string<uuid>

Cursor -- returns the trades immediately following the trade with this id in the current sort order. With the default sortOrder=desc this advances towards older trades.

Take the value from the pageAfter parameter of the next link in the Link response header. Cannot be combined with pageBefore.

Example:

"04a4892d-eef4-4df9-a5a4-4ccfc43497d6"

pageBefore
string<uuid>

Cursor -- returns the trades immediately preceding the trade with this id in the current sort order. With the default sortOrder=desc this navigates back towards newer trades.

Take the value from the pageBefore parameter of the prev link in the Link response header. Cannot be combined with pageAfter.

Example:

"04a4892d-eef4-4df9-a5a4-4ccfc43497d6"

from
string<date-time>

Queries items created since the specified date-time (inclusive) in ISO 8601 format.

Example:

"2023-01-01T12:04:05Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive) in ISO 8601 format.

Example:

"2023-01-01T12:04:05Z"

type
enum<string>
required

The type of trade. The type of trader.

Available options:
maker,
taker
settlementTransactionHash
string

Filter trades by settlement transaction hash.

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0xf97c6a87511583d5c7e8e72f8e1fe38bfd24350edda78fddbe67125f3cf0a122"

sortOrder
enum<string>
default:desc

Sort order for trades by creation date. Defaults to desc (newest first).

Available options:
asc,
desc

Response

200 - application/json

Trade retrieved successfully

data
object[]